Bug 768456

Summary: unplugging usb mouse kills gnome-terminal (segfault)
Product: [Fedora] Fedora Reporter: Sami Farin <hvtaifwkbgefbaei>
Component: gnome-terminalAssignee: Matthias Clasen <mclasen>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: unspecified    
Version: rawhideCC: behdad
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-02-13 19:49:41 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Sami Farin 2011-12-16 12:41:06 EST
Description of problem:
<6>[14333.525297] gnome-terminal[24651]: segfault at 60 ip 00007fe1218f0b39 sp 00007fff771af7b0 error 4 in libgdk-3.so.0.304.0[7fe1218d2000+82000]

Version-Release number of selected component (if applicable):
3.2.1-2

How reproducible:
100%

Steps to Reproduce:
1. remove usb mouse while one or more gnome-terminals are running
2.
3.
  
Actual results:
gnome-terminals are killed

Expected results:
nothing spectacular

Additional info:
could be also gtk3 bug, my version is gtk3-3.3.4-1
Comment 1 Sami Farin 2011-12-21 11:17:27 EST
as exciting as it is, gnome-terminal does not crash with gtk3-3.3.6!
Comment 2 Fedora Admin XMLRPC Client 2012-01-10 10:49:14 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Fedora Admin XMLRPC Client 2012-01-10 10:51:02 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Matthias Clasen 2012-02-13 19:49:41 EST
I believe this has been fixed by handling XI2 devices more carefully